CGMINER(1)

NAME
cgminer - multi-threaded multi-pool GPU, FPGA and CPU bitcoin miner.

SYNOPSIS
cgminer [-DElmpPQqUsTouOchnV]

DESCRIPTION
multi-threaded multi-pool GPU, FPGA and CPU bitcoin miner. Built with ant.S1 avalon bflsc bitforce bitfury cointerra drillbit hashfast icarus klondike KnC BaB minion modminer mining support.

OPTIONS

  Options for both config file and command line:

--anu-freq <arg>
    Set AntminerU1 frequency in MHz, range 125-500 (default: 1128792064)

--api-allow <arg>
    Allow API access only to the given list of [G:]IP[/Prefix] addresses[/subnets]

--api-description <arg>
    Description placed in the API status header, default: cgminer version

--api-groups <arg>
    API one letter groups G:cmd:cmd[,P:cmd:*...] defining the cmds a groups can use

--api-listen
    Enable API, default: disabled

--api-mcast
    Enable API Multicast listener, default: disabled

--api-mcast-addr <arg>
    API Multicast listen address

--api-mcast-code <arg>
    Code expected in the API Multicast message, don't use '-'

--api-mcast-des <arg>
    Description appended to the API Multicast reply, default: ''

--api-mcast-port <arg>
    API Multicast listen port (default: 4028)

--api-network
    Allow API (if enabled) to listen on/for any address, default: only 127.0.0.1

--api-port <arg>
    Port number of miner API (default: 4028)

--avalon-auto
    Adjust avalon overclock frequency dynamically for best hashrate

--avalon-cutoff <arg>
    Set avalon overheat cut off temperature (default: 60)

--avalon-fan
    Set fanspeed percentage for avalon, single value or range (default: 20-100)

--avalon-freq
    Set frequency range for avalon-auto, single value or range

--avalon-options <arg>
    Set avalon options baud:miners:asic:timeout:freq:tech

--avalon-temp <arg>
    Set avalon target temperature (default: 50)

--bab-options <arg>
    Set bab options max:def:min:up:down:hz:delay:trf

--balance
    Change multipool strategy from failover to even share balance

--benchfile <arg>
    Run cgminer in benchmark mode using a work file - produces no shares

--benchfile-display
    Display each benchfile nonce found

--benchmark
    Run cgminer in benchmark mode - produces no shares

--bfl-range
    Use nonce range on bitforce devices if supported

--bflsc-overheat <arg>
    Set overheat temperature where BFLSC devices throttle, 0 to disable (default: 85)

--bitburner-voltage <arg>
    Set BitBurner (Avalon) core voltage, in millivolts

--bitburner-fury-voltage <arg>
    Set BitBurner Fury core voltage, in millivolts

--bitburner-fury-options <arg>
    Override avalon-options for BitBurner Fury boards baud:miners:asic:timeout:freq

--bitmain-auto
    Adjust bitmain overclock frequency dynamically for best hashrate

--bitmain-cutoff <arg>
    Set bitmain overheat cut off temperature (default: 60)

--bitmain-fan
    Set fanspeed percentage for bitmain, single value or range (default: 20-100)

--bitmain-freq
    Set frequency range for bitmain-auto, single value or range

--bitmain-hwerror
    Set bitmain device detect hardware error

--bitmain-options <arg>
    Set bitmain options baud:miners:asic:timeout:freq

--bitmain-temp <arg>
    Set bitmain target temperature (default: 50)

--bxf-bits <arg>
    Set max BXF/HXF bits for overclocking (default: 54)

--bxf-temp-target <arg>
    Set target temperature for BXF/HXF devices (default: 82)

--bxm-bits <arg>
    Set BXM bits for overclocking (default: 54)

--btc-address <arg>
    Set bitcoin target address when solo mining to bitcoind (mandatory)

--btc-sig <arg>
    Set signature to add to coinbase when solo mining (optional)

--compact
    Use compact display without per device statistics

--cta-load <arg>
    Set load for CTA devices, 0-255 range (default: 0)

--ps-load <arg>
    Set power supply load for CTA devices, 0-100 range (default: 0)

--debug|-D
    Enable debug output

--disable-rejecting
    Automatically disable pools that continually reject shares

--drillbit-options <arg>
    Set drillbit options <int|ext>:clock[:clock_divider][:voltage]

--drillbit-auto <arg>
    Enable drillbit automatic tuning <every>:[<gooderr>:<baderr>:<maxerr>]

--expiry|-E <arg>
    Upper bound on how many seconds after getting work we consider a share from it stale (default: 120)

--failover-only
    Don't leak work to backup pools when primary pool is lagging

--fix-protocol
    Do not redirect to a different getwork protocol (eg. stratum)

--hfa-hash-clock <arg>
    Set hashfast clock speed (default: 550)

--hfa-fail-drop <arg>
    Set how many MHz to drop clockspeed each failure on an overlocked hashfast device (default: 10)

--hfa-fan
    Set fanspeed percentage for hashfast, single value or range (default: 10-85)

--hfa-name <arg>
    Set a unique name for a single hashfast device specified with --usb or the first device found

--hfa-noshed
    Disable hashfast dynamic core disabling feature

--hfa-options <arg>
    Set hashfast options name:clock (comma separated)

--hfa-temp-overheat <arg>
    Set the hashfast overheat throttling temperature (default: 95)

--hfa-temp-target <arg>
    Set the hashfast target temperature (0 to disable) (default: 88)

--hotplug <arg>
    Seconds between hotplug checks (0 means never check)

--klondike-options <arg>
    Set klondike options clock:temptarget

--load-balance
    Change multipool strategy from failover to quota based balance

--log|-l <arg>
    Interval in seconds between log output (default: 5)

--lowmem
    Minimise caching of shares for low memory applications

--monitor|-m <arg>
    Use custom pipe cmd for output messages

--nfu-bits <arg>
    Set nanofury bits for overclocking, range 32-63 (default: 50)

--net-delay
    Impose small delays in networking to not overload slow routers

--no-submit-stale
    Don't submit shares if they are detected as stale

--pass|-p <arg>
    Password for bitcoin JSON-RPC server

--per-device-stats
    Force verbose mode and output per-device statistics

--protocol-dump|-P
    Verbose dump of protocol-level activities

--queue|-Q <arg>
    Maximum number of work items to have queued (default: 9999)

--quiet|-q
    Disable logging output, display status and errors

--quota|-U <arg>
    quota;URL combination for server with load-balance strategy quotas

--real-quiet
    Disable all output

--rotate <arg>
    Change multipool strategy from failover to regularly rotate at N minutes (default: 0)

--round-robin
    Change multipool strategy from failover to round robin on failure

--scan-time|-s <arg>
    Upper bound on time spent scanning current work, in seconds (default: -1)

--sched-start
    Set a time of day in HH:MM to start mining (a once off without a stop time)

--sched-stop
    Set a time of day in HH:MM to stop mining (will quit without a start time)

--sharelog
    Append share log to file

--shares <arg>
    Quit after mining N shares (default: unlimited)

--socks-proxy <arg>
    Set socks4 proxy (host:port)

--syslog
    Use system log for output messages (default: standard error)

--temp-cutoff
    Temperature where a device will be automatically disabled, one value or comma separated list (default: 0)

--text-only|-T
    Disable ncurses formatted screen output

--url|-o <arg>
    URL for bitcoin JSON-RPC server

--usb <arg>
    USB device selection

--user|-u <arg>
    Username for bitcoin JSON-RPC server

--userpass|-O <arg>
    Username:Password pair for bitcoin JSON-RPC server

--verbose
    Log verbose output to stderr as well as status output

--widescreen
    Use extra wide display without toggling

--worktime
    Display extra work time debug information

  Options for command line only:

--config|-c <arg>
    Load a JSON-format configuration file See example.conf for an example configuration.

--default-config <arg>
    Specify the filename of the default config file Loaded at start and used when saving without a name.

--help|-h
    Print this message

--ndevs|-n
    Display all USB devices and exit

--version|-V
    Display version and exit